/* ------------------

 共通

 ------------------ */
#breadcrumbs {
  position: absolute;
  right: 0;
  bottom: 0;
  padding: 0.8rem 2.4rem;
  margin: 0;
  background-color: var(--white);
  border-radius: 0.8rem 0 0 0;
  font-size: 1rem;
  z-index: 3;
  a {
    color: var(--main-blue);
  }
}

.page__wrap {
  padding: 0 12rem;
}

@media screen and (min-width: 1025px) {
  .wp-block-columns.is-layout-flex {
    display: flex;

    .wp-block-column {
      width: 50%;
    }
  }
}

@media screen and (max-width: 1024px) {
  .page__wrap {
    padding: 0 2.4rem;
  }
}

.page01-mv__wrap {
  position: relative;
  padding-bottom: 8rem;
  margin-bottom: 4rem;

  &::before {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    display: inline-block;
    height: 50%;
    width: 100%;
    background-image: url("../img/bg-noise__blue.png");
  }

  &::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    display: inline-block;
    width: 100%;
    aspect-ratio: 1440 / 80;
    background-image: url("../img/bg-wave__wh02.png");
    background-size: 100%;
  }
}

.page01-mv__inner {
  position: relative;
  padding: 0 2.4rem;
}

.page01-mv__content {
  position: relative;
  height: 48rem;
  border-radius: 0 4rem 4rem 4rem;
  overflow: hidden;
}

.page01-mv__title {
  position: absolute;
  left: 6.4rem;
  bottom: 6.4rem;
  color: #fff;
  z-index: 2;

  span {
    display: flex;
    align-items: center;
    gap: 1.6rem;
    text-transform: capitalize;
    margin-bottom: 0.8rem;

    &::before {
      content: "";
      display: inline-block;
      width: 0.8rem;
      height: 0.8rem;
      background-color: var(--main-blue);
      border-radius: 50%;
    }
  }

  h1 {
    font-family: "Toppan BunkyuMinchoPr6N", serif;
    font-size: 4.8rem;
  }
}

.page01-mv__wrap.noimage {
  padding-left: 2.4rem;
  padding-right: 2.4rem;

  &::before,
  &::after {
    display: none;
  }
}

.noimage .page01-mv__inner {
  position: relative;
  min-height: 32rem;
  background-image: url("../img/bg-noise__blue.png");
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 4rem 2.4rem;
  border-radius: 2.4rem;
}

.noimage .page01-mv__content {
  height: auto;
  border-radius: 0;
}

.noimage .page01-mv__title {
  text-align: center;
  position: static;
  color: var(--main-black);

  span {
    display: inline-block;
    margin-bottom: 0;
    color: var(--main-blue);

    &::before {
      display: none;
    }
  }

  h1 {
    font-size: 3.6rem;
  }
}

.page01-mv__img {
  position: relative;
  width: 100%;
  height: 100%;

  img {
    object-fit: cover;
    width: 100%;
    height: 100%;
  }

  &::before {
    content: "";
    position: absolute;
    inset: 0;
    display: inline-block;
    width: 100%;
    height: 100%;
    background: linear-gradient(
      241deg,
      rgba(28, 62, 97, 0) 32.26%,
      rgba(28, 62, 97, 0.5) 66.13%,
      #1c3e61 100%
    );
  }
}

.page01-mv__description {
  padding: 0 12rem;
  margin-bottom: 8rem;
}

@media screen and (max-width: 1024px) {
  .page01-mv__description {
    padding: 0 2.4rem;
  }
}

@media screen and (max-width: 768px) {
  .page01-mv__inner {
    padding: 0;
  }

  .page01-mv__title {
    left: 2.4rem;
    bottom: 6.4rem;

    h1 {
      font-family: "Toppan BunkyuMinchoPr6N", serif;
      font-size: 3.2rem;
    }
  }

  .page01-mv__content {
    height: 40rem;
    border-radius: 0;
  }

  .page01-mv__img {
    &::before {
      background-image: linear-gradient(
        182deg,
        rgba(28, 62, 97, 0) 2.11%,
        rgba(28, 62, 97, 0) 50.01%,
        #1c3e61 97.91%
      );
    }
  }

  .noimage .page01-mv__title {
    h1 {
      font-size: 2.8rem;
    }
  }

  .wp-block-columns.is-layout-flex {
    .wp-block-column:not(:first-of-type) {
      margin-top: 1.6rem;
    }
  }
}

#page02-mv {
  margin-bottom: 12rem;
}

.page02-mv__wrap {
  background-color: var(--main-blue);
}

.page02-mv__inner {
  position: relative;
  padding-top: 12rem;
}

.page02-mv__content {
  color: var(--white);
}

.page02-mv__title {
  position: relative;
  padding: 0 12rem;
  margin-bottom: 4rem;
  z-index: 2;

  p {
    border: solid 1px var(--white);
    display: inline-block;
    padding: 0.4rem 1.6rem;
    margin-bottom: 1.6rem;
    font-size: 1.2rem;
  }
  h1 {
    font-size: 4.8rem;
  }
}

.page02-mv__title--en {
  display: block;
  margin-bottom: 0.8rem;
  font-size: 1.4rem;
}

.page02-mv__scroll-down {
  display: inline-block;
  position: absolute;
  bottom: 0;
  transform: translateY(50%);
  right: 4rem;
  width: 20rem;
  aspect-ratio: 1 / 1;

  &::before {
    content: "";
    display: inline-block;
    position: absolute;
    inset: 0;
    width: 100%;
    background-image: url("../img/scroll-down.png");
    background-repeat: no-repeat;
    background-size: 100% 100%;
    animation: ScrollDownRotate 25s linear infinite;
  }

  &::after {
    content: "";
    display: inline-block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(90deg);
    aspect-ratio: 24 / 13;
    width: 2.4rem;
    mask-image: url("../img/icon-arrow.svg");
    mask-position: center;
    mask-size: 100%;
    mask-repeat: no-repeat;
    background-color: var(--white);
  }
}

@keyframes ScrollDownRotate {
  from {
    transform: rotate(0);
  }
  to {
    transform: rotate(360deg);
  }
}

.page02-mv__img {
  position: relative;
  height: 50rem;
  padding: 0 2.4rem;
  z-index: 1;

  &::before {
    content: "";
    display: inline-block;
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 50%;
    background-color: var(--white);
    z-index: -1;
  }

  &::after {
    content: "";
    display: inline-block;
    position: absolute;
    left: 0;
    bottom: 50%;
    width: 100%;
    aspect-ratio: 1440 / 80;
    background-image: url("../img/bg-wave__wh02.png");
    background-repeat: no-repeat;
    background-size: 100% 100%;
    z-index: -1;
  }

  img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 4rem;
  }
}

@media screen and (max-width: 1024px) {
  .page02-mv__title {
    padding: 0 2.4rem;
  }
}

@media screen and (max-width: 768px) {
  .page02-mv__title {
    h1 {
      font-size: 3.2rem;
    }
  }

  .page02-mv__scroll-down {
    bottom: 100%;
    transform: translateY(50%);
    right: 2.4rem;
    width: 12rem;
  }

  .page02-mv__img {
    height: 40rem;
    padding: 0;

    img {
      border-radius: 0;
    }
  }
}

/* ------------------

 クルーズ船のご紹介

 ------------------ */

.introduction__inner {
  display: flex;
  align-items: flex-start;
  gap: 2.4rem;
}

.introduction__title {
  position: sticky;
  top: 0;
  padding: 2.4rem;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  flex: 1;

  &::before {
    content: "";
    display: inline-block;
    position: absolute;
    left: 0;
    bottom: 6.4rem;
    aspect-ratio: 4 / 3;
    width: 30rem;
    background-image: url("../img/bg-noise__blue.png");
    border-radius: 0 1.6rem 1.6rem 0;
    overflow: hidden;
  }
}

.introduction__title__name {
  position: relative;
  z-index: 2;

  &::before {
    content: "";
    display: inline-block;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 34rem;
    height: 1px;
    background-color: var(--gray-normal);
    z-index: -1;
  }

  h2 {
    margin: 0 auto 0.8rem;
    padding: 0.8rem;
    font-size: 7.2rem;
    color: var(--white);
    font-family: "Toppan BunkyuMinchoPr6N", serif;
    writing-mode: vertical-lr;
    background-color: var(--main-blue);
    height: 100%;
    max-height: max-content;
  }

  span {
    color: var(--main-blue);
  }
}

.introduction__title__img {
  position: absolute;
  width: 100%;
  height: 100%;

  > span {
    position: absolute;
    display: inline-block;
    aspect-ratio: 1 / 1;
    width: 20rem;
    border-radius: 0.8rem;
    overflow: hidden;

    &::before {
      content: "";
      position: absolute;
      display: inline-block;
      width: 100%;
      height: 100%;
      background-color: var(--main-blue);
      opacity: 0.2;
    }

    &:first-of-type {
      top: 4rem;
      right: 4rem;
    }

    &:nth-of-type(2) {
      top: 50%;
      transform: translateY(-50%);
      left: 4rem;
    }

    &:nth-of-type(3) {
      right: 0;
      bottom: 1.6rem;
    }

    img {
      object-fit: cover;
      width: 100%;
      height: 100%;
    }
  }
}

.introduction__list {
  width: 62.5%;
  padding: 24rem 12rem 0;
  border-left: solid 1px var(--gray-normal);
}

.introduction__item {
  margin-bottom: 12rem;

  &:last-of-type {
    margin-bottom: 0;
  }
}

.introduction__item__name {
  margin-bottom: 4rem;

  h3 {
    display: flex;
    align-items: center;
    gap: 1.6rem;

    &::before {
      content: "";
      display: inline-block;
      width: 0.8rem;
      height: 0.8rem;
      background-color: var(--main-blue);
      border-radius: 50%;
    }
  }
}

.introduction__cruiseship__item {
  margin-bottom: 12rem;
  &:last-of-type {
    margin-bottom: 0;
  }
  figure {
    border-radius: 1.6rem;
    aspect-ratio: 1.6 / 1;
    overflow: hidden;
    margin-bottom: 2.4rem;

    img {
      object-fit: cover;
      width: 100%;
      height: 100%;
    }
  }

  h4 {
    font-size: 3.2rem;
    color: var(--main-blue);
    text-align: center;
  }
}

.introduction__cruiseship__def {
  margin-bottom: 4rem;
  > div {
    display: flex;
    margin-bottom: 0.4rem;
  }

  dt {
    text-align: center;
    padding: 0.8rem;
    width: 16rem;
    background-color: var(--gray-light);
  }

  dd {
    flex: 1;
    padding: 0.8rem;
    border-top: solid 1px var(--gray-light);
    border-right: solid 1px var(--gray-light);
    border-bottom: solid 1px var(--gray-light);
  }
}

.introduction__item__class {
  position: relative;
  padding: 0 1.6rem;
  margin: 2.4rem 0;
  border: solid 1px var(--gray-normal);

  span {
    display: inline-block;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 0 1.6rem;
    background-color: var(--white);
    color: var(--main-blue);
    font-weight: 600;
  }

  p {
    text-align: center;
  }
}

#introduction__overseas-ship {
  .introduction__title__name {
    h2 {
      background-color: var(--sub-blue);
    }
    span {
      color: var(--sub-blue);
    }
  }

  .introduction__title__img {
    > span {
      &::before {
        background-color: var(--sub-blue);
      }
    }
  }

  .introduction__item__name {
    h3 {
      &::before {
        background-color: var(--sub-blue);
      }
    }
  }

  .introduction__cruiseship__item {
    h4 {
      color: var(--sub-blue);
    }
  }

  .introduction__item__class {
    span {
      color: var(--sub-blue);
    }
  }
}

@media screen and (max-width: 1024px) {
  .introduction__title__name {
    &::before {
      width: 24rem;
    }
  }
}

@media screen and (max-width: 768px) {
  .introduction__inner {
    display: block;
  }

  .introduction__title {
    position: relative;
    padding: 16rem 2.4rem;
    height: auto;
  }

  .introduction__title__name {
    &::before {
      display: none;
    }
    h2 {
      font-size: 6.4rem;
    }
  }

  .introduction__title__img {
    > span {
      width: 16rem;
    }
  }

  .introduction__list {
    width: 100%;
    padding: 8rem 2.4rem 0;
    border-left: none;
  }

  .introduction__cruiseship__item {
    h4 {
      font-size: 2.4rem;
    }
  }
}

/* ------------------

 クルーズ船紹介（詳細）

 ------------------ */

/* 自由記入欄 */
.ship-freearea {
  margin-bottom: 12rem;
}

/* クルーズ船情報 */
#ship-infomation {
  margin-bottom: 12rem;
}

.ship-infomation__inner {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  gap: 1.6rem 4rem;
}

.ship-infomation__title {
  flex: 1;
  position: sticky;
  top: 4rem;
}

.ship-infomation__content {
  width: 84rem;
  padding-left: 4rem;
  border-left: solid 1px var(--gray-normal);
  display: flex;
  align-items: center;
  gap: 2.4rem 4rem;
}

.ship-infomation__logo {
  width: 24rem;
  text-align: center;

  img {
    width: 100%;
    margin-bottom: 0.8rem;
  }

  figcaption {
    font-size: 1.2rem;
  }
}

.ship-infomation__def {
  > div {
    display: flex;
    align-items: center;
    gap: 1.6rem;
    margin-bottom: 1.6rem;

    &:last-of-type {
      margin-bottom: 0;
    }

    dt {
      font-weight: 600;
      width: 12rem;
    }

    dd {
      flex: 1;
      position: relative;
      padding-left: 6.4rem;

      &::before {
        content: "";
        display: inline-block;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: 0;
        width: 4rem;
        border-top: 0.3rem dotted var(--gray-normal);
      }
    }
  }
}

/* おすすめポイント */
#ship-recommend {
  margin-bottom: 12rem;
}

.ship-recommend__inner {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  gap: 1.6rem 4rem;
  margin-bottom: 12rem;
}

.ship-recommend__title {
  flex: 1;
  position: sticky;
  top: 4rem;
}

.ship-recommend__list {
  width: 84rem;
  padding-left: 4rem;
  border-left: solid 1px var(--gray-normal);

  > li {
    position: relative;
    display: flex;
    align-items: flex-start;
    margin-bottom: 2.4rem;

    &:last-of-type {
      margin-bottom: 0;
    }
  }
}

.ship-recommend__img {
  aspect-ratio: 1.6 / 1;
  width: 24rem;
  border-radius: 0.8rem;
  overflow: hidden;

  img {
    object-fit: cover;
    width: 100%;
    height: 100%;
  }
}

.ship-recommend__content {
  flex: 1;
  padding-left: 2.4rem;

  .ship-recommend__number {
    position: relative;
    display: inline-block;
    font-size: 1.2rem;
    font-weight: 600;
    padding: 0.4rem 1.6rem;
    border-radius: 4rem;
    border: solid 1px var(--sub-blue);
    color: var(--sub-blue);
    margin-bottom: 2.4rem;
    background-color: var(--white);

    &::before {
      content: "";
      display: inline-block;
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      right: 100%;
      width: 2.4rem;
      height: 1px;
      background-color: var(--sub-blue);
    }
  }

  h3 {
    display: flex;
    align-items: center;
    gap: 0.6rem;
    font-size: 2.1rem;

    &::before {
      content: "";
      display: inline-block;
      width: 3.2rem;
      min-width: 3.2rem;
      aspect-ratio: 1 / 1;
      mask-image: url(../img/icon-check-circle.svg);
      mask-position: center;
      mask-size: 100% 100%;
      background-color: var(--sub-blue);
    }
  }
}

/* 無限ループスライダー */

.ship-loop {
  margin-bottom: 12rem;
}

.ship-loop-slider01 {
  margin-bottom: 1.6rem;
}

.ship-loop-slider01,
.ship-loop-slider02 {
  .swiper-wrapper {
    transition-timing-function: linear;
  }

  .swiper-slide {
    figure {
      aspect-ratio: 1.4 / 1;
      overflow: hidden;
      border-radius: 0.8rem;

      img {
        object-fit: cover;
        height: 100%;
        width: 100%;
      }
    }
  }
}

/* 料金表 */
#ship-price {
  margin-bottom: 12rem;
}

.ship-price__tablefee {
  margin-bottom: 2.4rem;
}

.ship-price__cancel-policy,
.ship-price__important-points {
  margin-bottom: 2.4rem;
  padding: 4rem;
  background-color: var(--gray-light);
  border-radius: 0.8rem;

  h3 {
    font-family: hiragino-kaku-gothic-pron, sans-serif;
    font-weight: 600;
    font-size: 1.8rem;
    color: var(--main-blue);
    margin-bottom: 1.6rem;
  }
}

.ship-price__cancel-policy__content,
.ship-price__important_points__content {
  font-size: 1.4rem;
  max-height: 32rem;
  padding-right: 2.4rem;
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
}

.ship-price__cancel-policy__content::-webkit-scrollbar,
.ship-price__important_points__content::-webkit-scrollbar {
  width: 0.8rem;
}

.ship-price__cancel-policy__content::-webkit-scrollbar-track,
.ship-price__important_points__content::-webkit-scrollbar-track {
  background-color: var(--white);
  border-radius: 0.8rem;
}

.ship-price__cancel-policy__content::-webkit-scrollbar-thumb,
.ship-price__important_points__content::-webkit-scrollbar-thumb {
  background-color: var(--main-blue);
  border-radius: 0.8rem;
}

/* 船内設備・客室 */
#ship-facilitie {
  padding: 16rem 0;
  position: relative;
  background-image: url("../img/bg-noise__blue.png");
  overflow-x: clip;
  margin-bottom: 12rem;

  &::before,
  &::after {
    content: "";
    position: absolute;
    left: 0;
    display: inline-block;
    width: 100%;
    height: 8rem;
    background-repeat: no-repeat;
    background-size: contain;
  }

  &::before {
    background-image: url("../img/bg-wave__wh01.png");
    top: 0;
    background-position: top center;
  }

  &::after {
    background-image: url("../img/bg-wave__wh02.png");
    bottom: 0;
    background-position: bottom center;
  }
}

.ship-facilitie__anchor__list {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 3.2rem 1.6rem;
  margin-bottom: 8rem;

  > li {
    width: calc(100% / 5 - (1.6rem * 5 / 4));

    a {
      position: relative;
      display: inline-block;
      padding: 1.6rem 1.6rem 2.4rem;
      color: var(--white);
      background-color: var(--main-blue);
      border: solid 1px var(--main-blue);
      width: 100%;
      font-size: 1.4rem;
      text-align: center;
      border-radius: 0.8rem;
      transition: 0.4s;

      &::before {
        content: "";
        display: inline-block;
        position: absolute;
        top: 100%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 4rem;
        height: 4rem;
        background-color: var(--white);
        border: solid 1px var(--main-blue);
        border-radius: 50%;
        transition: 0.4s;
      }

      &::after {
        content: "";
        display: inline-block;
        position: absolute;
        top: 100%;
        left: 50%;
        transform: translate(-50%, -50%) rotate(45deg);
        width: 0.8rem;
        height: 0.8rem;
        border-right: solid 1px var(--main-blue);
        border-bottom: solid 1px var(--main-blue);
        transition: 0.4s;
      }
    }
  }
}

.ship-facilitie__content {
  margin-bottom: 8rem;

  h3 {
    font-size: 2.8rem;
    display: flex;
    align-items: center;
    gap: 1.6rem;
    margin-bottom: 2.4rem;

    &::before {
      content: "";
      display: inline-block;
      width: 0.8rem;
      aspect-ratio: 1 / 1;
      background-color: var(--sub-blue);
      border-radius: 50%;
    }
  }
}

.ship-facilitie__content__list {
  > li {
    margin-bottom: 8rem;

    &:last-of-type {
      margin-bottom: 0;
    }
  }
}

.ship-facilitie-slider {
  margin: 0 calc(50% - 50vw);
  padding-left: 12rem;
  padding-right: 2.4rem;
}

.ship-facilitie-slider__list {
  margin-bottom: 4rem;
}

.ship-facilitie-slider__item {
  border-radius: 1.6rem;
  background-color: var(--white);
  overflow: hidden;
  > figure {
    aspect-ratio: 1.6 / 1;

    img {
      object-fit: cover;
      width: 100%;
      height: 100%;
    }
  }
}

.ship-facilitie-slider__item__text {
  padding: 2.4rem;

  h4 {
    font-family: hiragino-kaku-gothic-pron, sans-serif;
    font-weight: 600;
    text-align: center;
    font-size: 1.8rem;
    color: var(--main-blue);
  }
}

.ship-swiper__function {
  position: relative;
  height: 6.4rem;

  .swiper-pagination {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    width: 96rem;
    height: 0.6rem;
  }

  .swiper-pagination-progressbar {
    background-color: var(--white);
    border-radius: 4rem;
    overflow: hidden;
  }

  .swiper-pagination-progressbar-fill {
    background-color: var(--main-blue);
    border-radius: 4rem;
    overflow: hidden;
  }

  .swiper-button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 12rem;
    display: flex;
    gap: 2.4rem;
    height: 100%;

    .swiper-button-prev {
      position: static;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 6.4rem;
      height: 6.4rem;
      border-radius: 50%;
      border: solid 1px var(--main-blue);
      margin-top: 0;
      &::after {
        font-size: 1.6rem;
        color: var(--main-blue);
      }
    }

    .swiper-button-next {
      position: static;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 6.4rem;
      height: 6.4rem;
      border-radius: 50%;
      border: solid 1px var(--main-blue);
      margin-top: 0;
      &::after {
        font-size: 1.6rem;
        color: var(--main-blue);
      }
    }

    .swiper-button-lock {
      display: none;
    }
  }
}

/* デジタルパンフレット */
#ship-pamphlet {
  position: relative;
}

.ship-pamphlet__content {
  position: relative;
  width: fit-content;
  margin: 0 auto;
  padding: 8rem;
  background-color: var(--gray-heavy);
  border-radius: 4rem;
  color: var(--white);
  z-index: 2;

  h3 {
    font-size: 2.8rem;
    display: flex;
    align-items: center;
    gap: 1.6rem;
    margin-bottom: 2.4rem;

    &::before {
      content: "";
      display: inline-block;
      width: 0.8rem;
      aspect-ratio: 1 / 1;
      background-color: var(--sub-blue);
      border-radius: 50%;
    }
  }
}

.ship-pamphlet__list {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 4rem 1.6rem;

  > li {
    width: 20rem;

    a {
      color: var(--white);
      transition: 0.4s;
    }
  }
}

.ship-pamphlet__img {
  margin-bottom: 0.8rem;

  img {
    width: 100%;
  }
}

.ship-pamphlet__text {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1.6rem;
  margin: 0;
  font-size: 1.4rem;

  &::after {
    content: "";
    display: inline-block;
    width: 1.6rem;
    aspect-ratio: 1 / 1;
    mask-image: url("../img/icon-link-out.svg");
    mask-repeat: no-repeat;
    mask-position: center;
    mask-size: contain;
    background-color: var(--white);
  }
}

.ship-pamphlet-loop-text__list {
  display: flex;
  padding: 8rem 0;
  overflow: hidden;
  position: absolute;
  top: 50%;
  left: 50vw;
  transform: translate(-50%, -50%);
  width: 100vw;
  margin: 0 calc(50% - 50vw);

  > li {
    width: 100vw;

    &:first-of-type {
      animation: loop 80s -40s linear infinite;
    }

    &:nth-of-type(2) {
      animation: loop2 80s linear infinite;
    }

    figure {
      padding: 0 4rem;
      width: 100vw;

      img {
        width: 100%;
      }
    }
  }
}

@media (any-hover: hover) {
  .ship-pamphlet__list {
    > li {
      a:hover {
        opacity: 0.4;
      }
    }
  }
  .ship-facilitie__anchor__list {
    > li {
      a:hover {
        color: var(--main-blue);
        background-color: var(--white);
      }
    }
  }
}

@media screen and (max-width: 1024px) {
  .ship-infomation__inner {
    flex-direction: column;
  }
  .ship-recommend__inner {
    flex-direction: column;
  }

  .ship-facilitie-slider {
    padding-left: 2.4rem;
  }

  .ship-swiper__function {
    .swiper-pagination {
      width: calc(96rem - 32rem);
    }
  }
}

@media screen and (max-width: 768px) {
  .ship-infomation__title {
    position: static;
  }

  .ship-infomation__content {
    flex-direction: column;
    width: 100%;
    padding-left: 0;
    border-left: none;
  }

  .ship-recommend__title {
    position: static;
  }

  .ship-recommend__list {
    flex-direction: column;
    width: 100%;
    padding-left: 0;
    border-left: none;

    > li {
      flex-direction: column;
    }
  }

  .ship-recommend__content {
    padding-left: 0;

    .ship-recommend__number {
      position: absolute;
      top: 1.6rem;
      left: 1.6rem;

      &::before {
        display: none;
      }
    }
  }

  .ship-recommend__img {
    width: 100%;
    margin-bottom: 1.6rem;
  }

  .ship-facilitie__anchor__list {
    > li {
      width: calc(50% - (1.6rem * 1 / 2));
    }
  }

  .ship-swiper__function {
    height: 8.8rem;

    .swiper-pagination {
      top: 0;
      transform: translateY(0);
      width: 100%;
    }

    .swiper-pagination-progressbar {
      background-color: var(--white);
    }

    .swiper-pagination-progressbar-fill {
      background-color: var(--main-blue);
    }

    .swiper-button {
      top: 2.4rem;
      transform: translate(50%, 0);
      right: 50%;
    }
  }

  .ship-pamphlet__content {
    padding: 4rem 2.4rem;
  }

  .ship-pamphlet__list {
    > li {
      width: calc(50% - (2.4rem / 2));
    }
  }
}

/* ダイヤモンド・プリンセスの料金表 */

.diamond-princess__price {
  margin-bottom: 12rem;
}

.diamond-princess__price__wrap {
  padding: 0 12rem;
  .main-heading {
    text-align: center;
    margin: 0 auto 2.4rem;
  }
}

.diamond-princess__price__table {
  td {
    text-align: center;
  }

  .plan-title {
  }

  .standard-title {
    min-width: 26rem;
    background-color: #4b6775;
  }

  .plus-title {
    min-width: 26rem;
    background: linear-gradient(90deg, #003595, #366aca 50%, #003595);
  }

  .premier-title {
    min-width: 26rem;
    background: linear-gradient(90deg, #163159, #3d67a7 50%, #163159);
  }

  .standard-title__logo,
  .plus-title__logo,
  .premier-title__logo {
    padding: 0.8rem;
    background-color: var(--white);
    border-radius: 0.4rem;
    margin-bottom: 0.8rem;
  }

  .modal-btn {
    position: relative;
    color: var(--white);
    border-radius: 4rem;
    padding: 1.2rem 6.4rem 1.2rem 4rem;
    cursor: pointer;
    display: block;
    margin: 1.6rem auto;
    width: fit-content;
    font-family: hiragino-kaku-gothic-pron, sans-serif;
    font-size: 1.4rem;
    transition: 0.4s;

    &::after {
      content: "";
      display: inline-block;
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      right: 1.6rem;
      width: 1.6rem;
      aspect-ratio: 1 / 1;
      mask-image: url("../img/icon-link-out.svg");
      mask-position: center;
      mask-size: 100%;
      mask-repeat: no-repeat;
      background-color: var(--white);
    }

    &.standard {
      background-color: #4b6775;
    }

    &.plus {
      background: linear-gradient(90deg, #003595, #366aca 50%, #003595);
    }

    &.premier {
      background: linear-gradient(90deg, #163159, #3d67a7 50%, #163159);
    }
  }

  .text {
    margin-top: 0.8rem;
  }

  .text-orange {
    font-size: 2.1rem;
    font-weight: 600;
    color: var(--accent-orange);
  }

  .text-small {
    font-size: 1.2rem;
  }

  .icon-check {
    display: block;
    margin: 0 auto;
    width: 3.2rem;
    aspect-ratio: 1 / 1;
    mask-image: url("../img/introduction/diamond-princess/icon-pricetable-check.svg");
    mask-position: center;
    mask-size: 100%;
    mask-repeat: no-repeat;

    &.standard {
      background-color: #4b6775;
    }

    &.plus {
      background: linear-gradient(90deg, #003595, #366aca 50%, #003595);
    }

    &.premier {
      background: linear-gradient(90deg, #163159, #3d67a7 50%, #163159);
    }
  }
}

.diamond-princess__price__table--modal {
  position: relative;
  padding: 8rem;
  background-color: var(--white);
  border-radius: 1.6rem;
  width: 100%;

  &::before {
    content: "";
    display: inline-block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: calc(100% + 1.6rem);
    height: calc(100% + 1.6rem);
    border: solid 1px var(--white);
    border-radius: 1.6rem;
  }
}

.diamond-princess__price__table--modal__inner {
  position: relative;
  z-index: 2;
}

.diamond-princess__price__table--modal__title {
  padding: 1.6rem;
  color: var(--white);
  margin-bottom: 2.4rem;

  &.standard {
    background-color: #4b6775;
  }

  &.plus {
    background: linear-gradient(90deg, #003595, #366aca 50%, #003595);
  }

  &.premier {
    background: linear-gradient(90deg, #163159, #3d67a7 50%, #163159);
  }
}

.diamond-princess__price__table--modal__description {
  font-size: 2.4rem;
  font-weight: 600;

  .marker {
    display: inline-block;
    color: #4b6775;
    font-size: 2.8rem;
    margin: 0 0.4rem;
    padding: 0 0.4rem;
    background: linear-gradient(transparent 60%, var(--gray-light) 40%);
  }
}

.diamond-princess__price__table--modal__description02 {
  font-size: 2.1rem;
  color: var(--accent-orange);
  font-weight: 600;
  margin-bottom: 2.4rem;
}

.diamond-princess__price__table--modal__standard__list {
  display: flex;
  justify-content: center;
  gap: 2.4rem;
  margin-bottom: 4rem;

  > li {
    display: flex;
    align-items: center;
    gap: 2.4rem;

    > div {
      width: 100%;

      i {
        width: 7rem;
        height: 7rem;
        object-fit: contain;
      }

      p {
        margin-bottom: 0;
      }
    }

    &::after {
      content: "";
      display: inline-block;
      width: 4.8rem;
      aspect-ratio: 1 / 1;
      mask-image: url("../img/introduction/diamond-princess/icon-plus.svg");
      mask-position: center;
      mask-size: 100%;
      mask-repeat: no-repeat;
      background-color: var(--gray-normal);
    }

    &:last-of-type {
      &::after {
        display: none;
      }
    }
  }
}

.diamond-princess__price__table--modal__plus__list {
  margin-bottom: 4rem;
  > li {
    display: flex;
    align-items: center;

    gap: 2.4rem 4.8rem;
    margin-bottom: 1.6rem;
    padding: 4rem;
    border: solid 1px var(--gray-normal);
    border-radius: 1.6rem;

    &:last-of-type {
      margin-bottom: 0;
    }

    > i {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 18rem;
      height: 18rem;
      background-color: #f2f7ff;
      border-radius: 50%;

      img {
        width: 9rem;
        height: 9rem;
        object-fit: contain;
      }
    }

    > div {
      flex: 1;
      text-align: left;

      .number {
        display: inline-block;
        color: #366aca;
        font-size: 1.4rem;
        margin-bottom: 0.8rem;
      }

      h4 {
        font-size: 2.8rem;
        color: #366aca;
      }
    }
  }
}

.diamond-princess__price__table--modal__premier__list {
  margin-bottom: 4rem;
  > li {
    display: flex;
    align-items: center;
    gap: 2.4rem 4.8rem;
    margin-bottom: 1.6rem;
    padding: 4rem;
    border: solid 1px var(--gray-normal);
    border-radius: 1.6rem;

    &:last-of-type {
      margin-bottom: 0;
    }

    > i {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 18rem;
      height: 18rem;
      background-color: #f9f8f2;
      border-radius: 50%;

      img {
        width: 9rem;
        height: 9rem;
        object-fit: contain;
      }
    }

    > div {
      flex: 1;
      text-align: left;

      .number {
        display: inline-block;
        color: #9f924a;
        font-size: 1.4rem;
        margin-bottom: 0.8rem;
      }

      h4 {
        font-size: 2.8rem;
        color: #9f924a;
      }
    }
  }
}

.diamond-princess__price__table--modal__note {
  font-size: 1.4rem;
  text-align: left;
  margin-bottom: 4rem;
}

@media (any-hover: hover) {
  .diamond-princess__price__table {
    .modal-btn:hover {
      opacity: 0.4;
    }
  }
}

@media screen and (max-width: 1024px) {
  .diamond-princess__price__wrap {
    padding: 0 2.4rem;
  }

  .diamond-princess__price__table--modal {
    padding: 4rem 2.4rem;
  }

  .diamond-princess__price__table--modal__description {
    font-size: 2.1rem;

    .marker {
      font-size: 2.4rem;
    }
  }

  .diamond-princess__price__table--modal__description02 {
    font-size: 1.8rem;
  }

  .diamond-princess__price__table--modal__standard__list {
    flex-wrap: wrap;

    > li {
      &::after {
        display: none;
      }
    }
  }

  .diamond-princess__price__table--modal__plus__list {
    > li {
      flex-direction: column;
      padding: 2.4rem;

      > div {
        h4 {
          font-size: 2.4rem;
        }
      }
    }
  }

  .diamond-princess__price__table--modal__premier__list {
    > li {
      flex-direction: column;
      padding: 2.4rem;

      > div {
        h4 {
          font-size: 2.4rem;
        }
      }
    }
  }
}

/* ------------------

 お申し込みからご出発まで

 ------------------ */

.flow__inner {
  display: flex;
  gap: 8rem;
}

.flow__progress {
  width: 0.2rem;
  background-image: repeating-linear-gradient(
    180deg,
    var(--gray-normal),
    var(--gray-normal) 0.2rem,
    transparent 0.2rem,
    transparent 0.8rem
  );
  background-position: left top;
  background-repeat: repeat-y;
  background-size: 0.8rem 100%;

  span {
    position: sticky;
    top: 0;
    display: inline-block;
    width: 0.2rem;
    height: calc(50vh - 4.8rem);
    background-color: var(--main-blue);

    &::before {
      content: "";
      display: inline-block;
      position: absolute;
      top: 100%;
      left: 50%;
      transform: translateX(-50%);
      width: 1.6rem;
      aspect-ratio: 1 / 1;
      border: solid 0.2rem var(--main-blue);
      border-radius: 50%;
      background-color: var(--white);
    }
  }
}

.flow__list {
  flex: 1;
  > li {
    display: flex;
    align-items: center;
    gap: 2.4rem 4rem;
    padding: 8rem;
    border: solid 1px var(--gray-normal);
    border-radius: 4rem;
    margin-bottom: 4rem;

    &:last-of-type {
      margin-bottom: 0;
    }
  }
}

.flow__title {
  width: 32rem;
  font-weight: 600;
  span {
    display: flex;
    align-items: center;
    gap: 1.6rem;
    color: var(--main-blue);
    font-size: 1.4rem;
    margin-bottom: 0.8rem;

    &::before {
      content: "";
      display: inline-block;
      width: 4rem;
      height: 1px;
      background-color: var(--main-blue);
    }
  }

  h2 {
    font-size: 2.4rem;
    font-family: hiragino-kaku-gothic-pron, sans-serif;
  }
}

.flow__content {
  flex: 1;

  > ul {
    list-style: disc;
    padding-left: 2.4rem;

    > li {
      margin-bottom: 0.8rem;

      &:last-of-type {
        margin-bottom: 0;
      }
    }
  }
}

@media screen and (max-width: 768px) {
  .flow__inner {
    gap: 2.4rem;
  }
  .flow__list {
    > li {
      flex-direction: column;
      padding: 4rem;
    }
  }

  .flow__title {
    width: 100%;
  }
}

/* ------------------

 よくあるご質問

 ------------------ */

.faq__def {
  max-width: 88rem;
  margin: 0 auto;
}

.faq__def__item {
  border-bottom: solid 1px var(--gray-normal);
  padding: 2.4rem 0;

  dt {
    position: relative;
    display: flex;
    column-gap: 2.4rem;
    vertical-align: middle;
    padding: 2.4rem 4.8rem 2.4rem 6.4rem;
    font-size: 1.8rem;
    cursor: pointer;

    &::before {
      content: "Q.";
      position: absolute;
      top: 1.8rem;
      left: 1.6rem;
      font-size: 3.2rem;
      font-family: berthold-baskerville-pro, serif;
      color: var(--main-blue);
      line-height: 1;
    }

    .faq__def__arrow {
      display: inline-block;
      position: absolute;
      top: 2.4rem;
      right: 1.6rem;
      width: 2.4rem;
      height: 2.4rem;
      transition: 0.4s;

      &::before,
      &::after {
        content: "";
        display: inline-block;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 2.4rem;
        height: 1px;
        background-color: var(--main-blue);
        transition: 0.4s;
      }

      &::after {
        transform: translate(-50%, -50%) rotate(90deg);
      }
    }
  }

  dd {
    padding: 0 6.4rem;
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: 0.4s;

    p {
      margin: 0;
    }
  }

  &.is-active {
    dt {
      .faq__def__arrow {
        &::before {
          transform: translate(-50%, -50%) rotate(90deg);
        }
        &::after {
          opacity: 0;
        }
      }
    }
    dd {
      opacity: 1;
      max-height: 100vh;
    }
  }
}

@keyframes FaqAccordion {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
    height: auto;
  }
}

/* ------------------

 コンタクトフォーム／お問い合わせ／仮予約・空室照会

 ------------------ */
.page-contact__inner {
  display: flex;
  align-items: flex-start;
  gap: 8rem 4rem;
}

.page-contact__list {
  position: sticky;
  top: 4rem;
  width: 28rem;
  display: flex;
  flex-direction: column;
  gap: 4rem;

  > li {
    font-size: 1.4rem;

    h2 {
      display: flex;
      align-items: center;
      gap: 0.8rem;
      font-size: 1.6rem;
      margin-bottom: 1.6rem;

      &::before {
        content: "";
        display: inline-block;
        width: 0.8rem;
        aspect-ratio: 1 / 1;
        border-radius: 50%;
        background-color: var(--sub-blue);
      }
    }

    p {
      margin: 0;
    }

    span {
      font-size: 1.2rem;
    }
  }
}

.page-contact__form {
  width: calc(100% - 28rem - 4rem);
  padding-right: 4rem;
  border-right: solid 1px var(--gray-normal);
}

.page-contact__form__def {
  margin-bottom: 4rem;
}

.page-contact__form__item {
  display: flex;
  gap: 2rem 4rem;
  width: 100%;
  border-bottom: solid 1px var(--gray-normal);
  padding: 2.4rem 0;

  &:first-of-type {
    border-top: solid 1px var(--gray-normal);
  }

  > dt {
    width: 30%;
    font-weight: 600;
    background-color: var(--gray-light);
    display: flex;
    align-items: center;
    padding: 2.4rem 1.6rem;
    border-radius: 0.8rem;
    font-size: 1.4rem;

    .required {
      display: block;
      width: fit-content;
      margin-bottom: 0.4rem;
      background-color: var(--main-blue);
      color: var(--white);
      font-size: 1rem;
      padding: 0.4rem 0.8rem;
    }

    p {
      font-size: 1.2rem;
      font-weight: 400;
    }
  }

  > dd {
    font-size: 1.2rem;
    width: 70%;
    display: grid;
    grid-template-columns: 1fr;
    align-items: center;
    gap: 1.6rem;

    &.col2 {
      display: grid;
      grid-template-columns: 1fr 1fr;
      gap: 2rem;
    }

    &.col3 {
      display: grid;
      grid-template-columns: 1fr 1fr 1fr;
      gap: 2rem;
    }
  }

  .number__inner {
    display: flex;
    align-items: center;
    gap: 0.8rem;
  }
}

.wpcf7 {
  .wpcf7-not-valid {
    background-color: rgba(220, 50, 50, 0.1);
  }

  .wpcf7-form-control-wrap {
    width: 100%;
  }

  .wpcf7-response-output {
    display: none;
  }

  .wpcf7-spinner {
    display: none!important;
  }

  .wpcf7-not-valid-tip {
    font-size: 1.2rem;
  }

  input,
  select,
  textarea {
    border: solid 1px var(--gray-heavy);
    width: 100%;
    appearance: auto;
    -webkit-appearance: auto;
    padding: 1.6rem 1rem;
    border-radius: 0.8rem;
    font-size: 16px;
    transition: 0.3s;
    -webkit-appearance: none;
    appearance: none;
    background-color: transparent;
  }

  textarea {
    line-height: 1.7;
  }

  input:focus,
  select:focus,
  textarea:focus {
    outline: none;
    border: solid 1px transparent;
    border-bottom: solid 1px var(--main-blue);
    color: var(--main-blue);
    border-radius: 0;
  }

  .wpcf7-form-control.wpcf7-radio,
  .wpcf7-form-control.wpcf7-checkbox {
    display: flex;
    flex-wrap: wrap;
    gap: 1.2rem 2.4rem;
  }

  .wpcf7-number {
    text-align-last: center;
  }

  .wpcf7-list-item {
    font-size: 1.6rem;
    margin: 0;

    label {
      cursor: pointer;
      display: flex;
      justify-content: center;
      align-items: center;
      column-gap: 0.8rem;
    }

    input[type="radio"] {
      position: relative;
      appearance: none;
      width: 0;
      height: 0;
      padding-left: 0.8rem;
      border: transparent;
      cursor: pointer;
    }

    input[type="radio"] + span {
      transition: 0.3s;
    }

    input[type="radio"]::before {
      content: "";
      display: inline-block;
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      left: 0;
      border: 0.2rem solid var(--gray-heavy);
      width: 2rem;
      aspect-ratio: 1 / 1;
      border-radius: 50%;
    }

    input[type="radio"]::after {
      content: "";
      display: inline-block;
      width: 1.6rem;
      height: 0.8rem;
      border-bottom: solid 0.2rem var(--main-blue);
      border-left: solid 0.2rem var(--main-blue);
      position: absolute;
      top: calc(50% - 0.4rem);
      left: 0.4rem;
      transform: translateY(-50%) scale(0.6) rotate(45deg);
      opacity: 0;
      transition: 0.3s;
    }

    input[type="radio"]:checked + span {
      color: var(--main-blue);
    }

    input[type="radio"]:checked::before {
      border: 0.2rem solid var(--main-blue);
    }

    input[type="radio"]:checked::after {
      opacity: 1;
      transform: translateY(-50%) scale(1) rotate(-45deg);
    }

    input[type="checkbox"] {
      position: relative;
      appearance: none;
      width: 0;
      height: 0;
      padding-left: 0.8rem;
      border: transparent;
      cursor: pointer;
    }

    input[type="checkbox"] + span {
      transition: 0.3s;
    }

    input[type="checkbox"]::before {
      content: "";
      display: inline-block;
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      left: 0;
      border: 0.2rem solid var(--gray-heavy);
      width: 2rem;
      aspect-ratio: 1 / 1;
      transition: 0.3s;
    }

    input[type="checkbox"]::after {
      content: "";
      display: inline-block;
      width: 1.6rem;
      height: 0.8rem;
      border-bottom: solid 0.2rem var(--white);
      border-left: solid 0.2rem var(--white);
      position: absolute;
      top: calc(50% - 0.4rem);
      left: 0.2rem;
      transform: translateY(-50%) scale(0.6) rotate(45deg);
      opacity: 0;
      transition: 0.3s;
    }

    input[type="checkbox"]:checked + span {
      color: var(--main-blue);
    }

    input[type="checkbox"]:checked::before {
      background-color: var(--main-blue);
    }

    input[type="checkbox"]:checked::after {
      opacity: 1;
      transform: translateY(-50%) scale(1) rotate(-45deg);
    }
  }

  .wpcf7-submit {
    cursor: pointer;
    font-family: hiragino-kaku-gothic-pron, sans-serif;
    position: relative;
    display: block;
    width: fit-content;
    padding: 2.4rem 4rem;
    width: 32rem;
    margin: 0 auto;
    user-select: none;
    color: var(--white);
    background-color: var(--main-black);
    border: solid 1px var(--main-black);
    font-weight: bold;
    border-radius: 0.8rem;
    transition: 0.3s;
  }
}

.page-contact__form__acceptance {
  text-align: center;
  margin-bottom: 4rem;
}

.page-contact__form__acceptance__policy {
  a {
    position: relative;
    display: inline-block;
    color: var(--main-blue);
    padding-right: 2.4rem;
    margin-right: 1.2rem;

    &::after {
      content: "";
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      right: 0;
      display: inline-block;
      width: 2rem;
      aspect-ratio: 1 / 1;
      mask-image: url(../img/icon-link-out.svg);
      mask-repeat: no-repeat;
      mask-position: center;
      mask-size: contain;
      background-color: var(--main-blue);
    }
  }
}

.page-contact__form__acceptance__text {
  font-size: 1.4rem;
  text-align: left;
  margin-bottom: 0;
}

#cf7-modal {
  display: none;
  position: fixed;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  justify-content: center;
  align-items: center;
  z-index: 99999;
  padding: 2.4rem;
}

#cf7-modal::before {
  content: "";
  display: inline-block;
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0;
  background-color: #000;
  opacity: 0.6;
  z-index: -1;
}

.wpcf7-form.sent #cf7-modal {
  display: flex;
}

.cf7-modal__wrap {
  position: relative;
  background-color: #fff;
  border-radius: 1.6rem;
  max-width: 88rem;
  padding: 4rem;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 0.2rem 0.8rem;
  text-align: center;
  z-index: 2;
}

.cf7-modal__wrap p {
  font-size: 1.4rem;
}

.cf7-modal__title {
  font-size: 1.8rem;
  font-weight: 600;
}

.cf7-modal__wrap_tel {
  font-size: 1.8rem;
  font-weight: 700;
}

@media (any-hover: hover) {
  .wpcf7 .wpcf7-submit:hover {
    color: var(--main-black);
    background-color: var(--white);
  }
}

@media screen and (max-width: 768px) {
  .page-contact__inner {
    flex-direction: column;
  }

  .page-contact__list {
    position: static;
    width: 100%;
  }

  .page-contact__form {
    width: 100%;
    padding-right: 0;
    border-right: none;
  }

  .page-contact__form__item {
    flex-direction: column;

    > dt {
      width: 100%;
    }

    > dd {
      width: 100%;

      &.col3 {
        grid-template-columns: 1fr 1fr;
      }
    }
  }
}
